summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--lxde-base/lxpolkit/Manifest1
-rw-r--r--lxde-base/lxpolkit/lxpolkit-0.1.0-r1.ebuild30
-rw-r--r--lxde-base/lxpolkit/lxpolkit-0.1.0-r2.ebuild30
-rw-r--r--lxde-base/lxpolkit/metadata.xml11
-rw-r--r--profiles/package.mask15
5 files changed, 0 insertions, 87 deletions
diff --git a/lxde-base/lxpolkit/Manifest b/lxde-base/lxpolkit/Manifest
deleted file mode 100644
index 1eafeb8ac45..00000000000
--- a/lxde-base/lxpolkit/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST lxpolkit-0.1.0.tar.gz 204579 SHA256 511affca8f55adc67031fb3627b9889064c685e4b983737d8deecdf4f94f008b SHA512 2e2c41edb1c4c6f43f646feefe651adcdfa101e52799af8aa4f70e3eccb21ba5b0e9d07102a792cef9d7bb16df1ef0f2d2c4cef3e126cf35a298f7a0d11a2ee5 WHIRLPOOL 4865b49b25344f1ade872a4a23410daa9c8060c483c1287473225054ae2357b23219c7f47f534077515438f2d353253afe74632bc84af4f489dc2dd67c01cbc2
diff --git a/lxde-base/lxpolkit/lxpolkit-0.1.0-r1.ebuild b/lxde-base/lxpolkit/lxpolkit-0.1.0-r1.ebuild
deleted file mode 100644
index 181102977e3..00000000000
--- a/lxde-base/lxpolkit/lxpolkit-0.1.0-r1.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=4
-
-DESCRIPTION="A simple PolicyKit authentication agent"
-HOMEPAGE="http://lxde.git.sourceforge.net/git/gitweb.cgi?p=lxde/lxpolkit;a=summary http://blog.lxde.org/?p=674"
-SRC_URI="mirror://sourceforge/project/lxde/LXPolkit/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE=""
-
-RDEPEND=">=sys-auth/polkit-0.102
- x11-libs/gtk+:3
- !gnome-extra/polkit-gnome"
-DEPEND="${RDEPEND}
- >=dev-util/intltool-0.40.0
- virtual/pkgconfig
- sys-devel/gettext"
-
-src_prepare() {
- local f=data/lxpolkit.desktop.in.in
- sed -i -e '/^NotShowIn/s:=.*:=KDE;:' ${f} || die
- echo 'AutostartCondition=GNOME3 if-session gnome-fallback' >> ${f}
-}
-
-src_configure() { econf --enable-gtk3; }
diff --git a/lxde-base/lxpolkit/lxpolkit-0.1.0-r2.ebuild b/lxde-base/lxpolkit/lxpolkit-0.1.0-r2.ebuild
deleted file mode 100644
index 9cfdbcdd8e3..00000000000
--- a/lxde-base/lxpolkit/lxpolkit-0.1.0-r2.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-DESCRIPTION="A simple PolicyKit authentication agent"
-HOMEPAGE="http://lxde.git.sourceforge.net/git/gitweb.cgi?p=lxde/lxpolkit;a=summary http://blog.lxde.org/?p=674"
-SRC_URI="mirror://sourceforge/project/lxde/LXPolkit/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND=">=sys-auth/polkit-0.102
- x11-libs/gtk+:3
- !gnome-extra/polkit-gnome"
-DEPEND="${RDEPEND}
- >=dev-util/intltool-0.40.0
- sys-devel/gettext
- virtual/pkgconfig"
-
-src_prepare() {
- local f=data/lxpolkit.desktop.in.in
- sed -i -e '/^NotShowIn/s:=.*:=MATE;KDE;:' ${f} || die
- echo 'AutostartCondition=GNOME3 if-session gnome-fallback' >> ${f}
-}
-
-src_configure() { econf --enable-gtk3; }
diff --git a/lxde-base/lxpolkit/metadata.xml b/lxde-base/lxpolkit/metadata.xml
deleted file mode 100644
index b31e527de26..00000000000
--- a/lxde-base/lxpolkit/metadata.xml
+++ /dev/null
@@ -1,11 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>lxde@gentoo.org</email>
- <name>Gentoo LXDE Project</name>
- </maintainer>
- <upstream>
- <remote-id type="sourceforge">lxde</remote-id>
- </upstream>
-</pkgmetadata>
diff --git a/profiles/package.mask b/profiles/package.mask
index 8dab4c01933..0c1cc107107 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -758,21 +758,6 @@ app-eselect/eselect-lua
# experimental features and accept a more unstable release.
www-plugins/chrome-binary-plugins:unstable
-# Samuli Suominen <ssuominen@gentoo.org> (03 Mar 2014)
-# gnome-extra/polkit-gnome is the "GTK+ polkit agent" and has no extra
-# dependencies that installing lxde-base/lxpolkit would solve, thus
-# the only motivation for creation of lxpolkit was to drop the word
-# 'gnome' from the package's name. The packages are near identical
-# by the outlook, determined by the used GTK+ theme.
-#
-# Raise yourself above the word 'gnome' and install the de facto GTK+ agent:
-# emerge -C lxpolkit
-# emerge -1 polkit-gnome
-#
-# Removal will happen at later date, but since there is no hurry, give it
-# until rest of the year.
-lxde-base/lxpolkit
-
# Tim Harder <radhermit@gentoo.org> (04 Feb 2014)
# Mask development releases
=media-sound/lilypond-2.19*